body {
    background-image: url('../backG.jpg');
    background-size: 100%;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center;
}
.mlogin {
  background-color: #ffffff;
  border: 2px solid #63afd1;
  padding: 30px;
  margin-top: 50px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

#login {
  background-color: #ffffff;
  padding: 20px;
  border: 2px solid #29abe2;
}


input[type="text"], input[type="password"] {
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    box-sizing: border-box;
    border-radius: 4px;
}

.button {
    background-color: #ffffff;
    color: #142c47;
    padding: 14px 20px;
    margin: 8px 0;
    border: 2px;
    border-radius: 4px;
    cursor: pointer;
    width: 100%;
}

.button:hover {
    background-color: #63afd1;
    border: 1px solid #29abe2;
    color: #142c47;
}

.error {
    color: red;
}



.regtext {
    margin-top: 10px;
    text-align: center;
}

div {
    width: 48%;
    height: auto;
    margin: 0 auto;
    text-align: center;
}
/*Register*/
.miDiv {
  display: flex;
  justify-content: center;
  align-items: center;
}
.miDiv img {
  max-width: 50%;
  max-height: 50%;
}
/* Regola per le etichette (label) */
label {
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 5px;
  }
  
  /* Regole per gli heading (h1-h6) */
  h1, h2, h3, h4, h5, h6 {
    font-weight: bold;
    margin-top: 20px;
    margin-bottom: 10px;
  }
  
  h1 {
    font-size: 36px;
  }
  
  h2 {
    font-size: 30px;
  }
  
  h3 {
    font-size: 24px;
  }
  
  h4 {
    font-size: 20px;
  }
  
  h5 {
    font-size: 18px;
  }
  
  h6 {
    font-size: 16px;
  }
        /* Estilos para dispositivos móviles */
        @media only screen and (max-width: 600px) {
          /* Ajuste de tamaño para el contenedor principal */
          div {
            height: auto;
            width: 90%;
            margin: 0 auto;
          }
          /* Ajuste de tamaño para el formulario */
          form {
            width: 100%;
          }
          /* Ajuste de tamaño para el botón de consulta */
          button {
            width: 100%;
          }
          /* Ajuste de tamaño para las etiquetas */
          label {
            font-size: 1.5rem;
          }
        }